package com.ss.android.ugc.aweme.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.discover.model.Challenge;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import java.util.List;

public final class ChallengeStruct {
    @c(LIZ = "aweme_list")
    public List<? extends Aweme> awemeList;
    @c(LIZ = "challenge_info")
    public Challenge challenge;
    @c(LIZ = "cover_url")
    public List<String> coverUrlList;
    @c(LIZ = "cha_desc")
    public String desc;

    static {
        Covode.recordClassIndex(93101);
    }

    public final List<Aweme> getAwemeList() {
        return this.awemeList;
    }

    public final Challenge getChallenge() {
        return this.challenge;
    }

    public final List<String> getCoverUrlList() {
        return this.coverUrlList;
    }

    public final String getDesc() {
        return this.desc;
    }

    public final void setAwemeList(List<? extends Aweme> list) {
        this.awemeList = list;
    }

    public final void setChallenge(Challenge challenge2) {
        this.challenge = challenge2;
    }

    public final void setCoverUrlList(List<String> list) {
        this.coverUrlList = list;
    }

    public final void setDesc(String str) {
        this.desc = str;
    }

    public ChallengeStruct(Challenge challenge2, String str, List<String> list, List<? extends Aweme> list2) {
        this.challenge = challenge2;
        this.desc = str;
        this.coverUrlList = list;
        this.awemeList = list2;
    }
}
